Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7648

Fix ci:test:git pre-suite on OSX 10.11

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Normal
    • Resolution: Duplicate
    • None
    • None
    • None
    • Hide
      • A ci:test:git invocation like GEM_SOURCE=http://rubygems.delivery.puppetlabs.net/ TEST_TARGET=osx1011-64a PUPPET_FORK='Iristyle' bundle exec rake ci:test:git SHA=`git lastref` TEST=./tests/direct_puppet/supports_utf8.rb should get past the pre-suite setup.
      Show
      A ci:test:git invocation like GEM_SOURCE= http://rubygems.delivery.puppetlabs.net/ TEST_TARGET=osx1011-64a PUPPET_FORK='Iristyle' bundle exec rake ci:test:git SHA=`git lastref` TEST=./tests/direct_puppet/supports_utf8.rb should get past the pre-suite setup.
    • Coremunity
    • 2
    • Platform Core Grooming
    • Not Needed
    • No Action

    Description

      ci:test:git won't correctly run the pre-suite against OSX 10.11 due to:

      • locations of binaries - and the PATH setup (for an appropriate fix BKR-1139 needs to be released)
      • some binary path installation issues as a result of SIP (System Integrity Protection)

      The invocation under test is:

      GEM_SOURCE=http://rubygems.delivery.puppetlabs.net/ TEST_TARGET=osx1011-64a PUPPET_FORK='Iristyle' bundle exec rake ci:test:git SHA=`git lastref` TEST=./tests/direct_puppet/supports_utf8.rb
      

      This effort was taken on to repro PUP-6217

      Attachments

        Issue Links

          Activity

            People

              melissa Melissa Stone
              ethan Ethan Brown
              Eric Delaney Eric Delaney
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Zendesk Support